Name:           net_monitor
Version:        0.29
Release:        %mkrel 1
Summary:        Network monitoring tool
License:        GPLv2
Group:          Monitoring
Url:            http://gitweb.mageia.org/software/net_monitor/
Source0:        http://gitweb.mageia.org/software/net_monitor/snapshot/%{name}-%{version}.tar.xz
Requires:       vnstat
Requires:       python3-gobject3
Requires:       python3-cairo

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  libiw-devel
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
This is a network monitoring tool, intended to replace the old net_monitor from
drakx-net. It supports graphical network monitoring and some advanced features,
such as network profiling, activity monitoring, detailed logging and network
traffic statistics with help of vnstat reporting.

%prep
%setup -q

%build
%make_build

%install
rm -rf %buildroot
%make_install

mkdir -p %{buildroot}%{_logdir}
touch %{buildroot}%{_logdir}/%{name}.log

mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/net_monitor.desktop <<EOF
[Desktop Entry]
Version=1.0
Name=Net Monitor
GenericName=Net Monitor
Comment=Display Network Activity
Exec=net_monitor
Icon=monitoring_section
Terminal=false
Type=Application
Categories=Monitor;
EOF

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_sysconfdir}/sysconfig/network-scripts/if*.d/netmonitor*
%{python3_sitearch}/%{name}-%{version}-py*
%{python3_sitearch}/%{name}
%ghost %{_logdir}/%{name}.log
%{_datadir}/applications/*.desktop

%post
%update_menus

%postun
%clean_menus

%changelog
* Tue Jan 05 2021 tex - 0.29-1pclos2021
- New version 0.29
